Skip to main content
`Ctrl`+`K`

# DMForestGetComputeAdaptivitySF

Get whether transfer `PetscSF`s should be computed relating the cells of the pre-adaptation forest to the post-adaptiation forest. After `DMSetUp()` is called, these transfer PetscSFs can be accessed with `DMForestGetAdaptivitySF()`.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetComputeAdaptivitySF(DM dm, PetscBool *computeSF)

Not Collective

## Input Parameter

- dm - the post-adaptation forest

## Output Parameter

- computeSF - default `PETSC_TRUE`

## See Also

`DM`, `DMFOREST`, `DMForestSetComputeAdaptivitySF()`, `DMForestGetAdaptivitySF()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages